GENOME-MUSIC-PFAM(1p)

genome music pfam

NAME
genome music pfam - Add Pfam annotation to a MAF file

VERSION
This document describes genome music pfam version 0.04 (2018-07-05 at 09:17:13)

SYNOPSIS
genome music pfam --maf-file=? --output-file=? --reference-build=?

 ... music pfam \
        --maf-file myMAF.tsv \
        --output-file myMAF.tsv.pfam

REQUIRED ARGUMENTS

maf-file  Text
    List of mutations using TCGA MAF specification v2.3

output-file  Text
    Output MAF file with an extra column that reports Pfam annotation domains

reference-build  Text
    Options are 'Build36' or 'Build37'. This parameter ensures appropriate annotation of domains valid values:
     Build36
     Build37

    Default value 'Build37' if not specified

DESCRIPTION
This command adds Pfam Domains to a column at the end of a MAF file.

This tool takes a MAF file, determines the location of each variant therein, and then uses a fast-lookup to retrieve all of the Pfam annotation domains that the variant crosses. A column is appended to the end of the input MAF file called "Pfam_Annotation_Domains" where the results are listed. "NA" is listed if no Pfam domains are found.

LICENSE
Copyright (C) 2010-2011 Washington University in St. Louis.

It is released under the Lesser GNU Public License (LGPL) version 3. See the associated LICENSE file in this distribution.

AUTHORS
 Nathan D. Dees, Ph.D.

CREDITS
This tool uses tabix, by Heng Li. See http://samtools.sourceforge.net/tabix.shtml.

This tool also depends on copies of data from the following databases, packaged in a form useable for quick analysis:

 * Pfam - http://pfam.sanger.ac.uk/
 * SMART - http://smart.embl-heidelberg.de/
 * SUPERFAMILY - http://supfam.cs.bris.ac.uk/SUPERFAMILY/
 * PatternScan - http://www.expasy.ch/prosite/

SEE ALSO
genome-music(1), genome(1)